<?php
/**
 * @copyright   Copyright (c) 2017 https://www.sapixx.com All rights reserved.
 * @license     Licensed (http://www.apache.org/licenses/LICENSE-2.0).
 * @author      pillar<ltmn@qq.com>
 * 采购基金账单
 */
namespace app\allwin\model;
use think\Model;
use util\Util;

class FundBill extends Model
{
    protected $pk = 'id';
    protected $table = 'ai_allwin_fund_bill';

    public function user(){
        return $this->hasOne('app\common\model\SystemUser','id','uid');
    } 

    /**
     * 后台在使用
     * 收益记录
     */
    public static function bill($where){
        return self::where($where)->order('id desc')->paginate(20,false,['query'=>['input' =>$where['user_id']]]);
    }

   /**
     * [log 增加财务日志]
     * @param  [array]  $param
     */
    public static function add(array $param){
        $data['member_miniapp_id'] = intval($param['miniapp_id']);
        $data['store_id']          = intval($param['store_id']);
        $data['types']             = intval($param['types']);
        $data['uid']               = intval($param['uid']);
        $data['order_no']          = $param['order_no'];
        $data['money']             = floatval($param['money']);
        $data['update_time']       = time();
        return self::insert($data);
    }
}